import request from '@/utils/request'

// 查询联系我日志列表
export function listQwAppContactWayLogs(query) {
  return request({
    url: '/qw/qwAppContactWayLogs/list',
    method: 'get',
    params: query
  })
}


// 查询联系我日志详细
export function getQwAppContactWayLogs(id) {
  return request({
    url: '/qw/qwAppContactWayLogs/' + id,
    method: 'get'
  })
}

// 新增联系我日志
export function addQwAppContactWayLogs(data) {
  return request({
    url: '/qw/qwAppContactWayLogs',
    method: 'post',
    data: data
  })
}

// 修改联系我日志
export function updateQwAppContactWayLogs(data) {
  return request({
    url: '/qw/qwAppContactWayLogs',
    method: 'put',
    data: data
  })
}

// 删除联系我日志
export function delQwAppContactWayLogs(id) {
  return request({
    url: '/qw/qwAppContactWayLogs/' + id,
    method: 'delete'
  })
}

// 导出联系我日志
export function exportQwAppContactWayLogs(query) {
  return request({
    url: '/qw/qwAppContactWayLogs/export',
    method: 'get',
    params: query
  })
}